Subject: [alpine-devel] [PATCH 2/2] Add Nedit, a Motif text editor.

From: Isaac Dunham <[email-masked]>
Date: Sun, 22 Jun 2014 22:27:42 +0000

---
 testing/nedit/APKBUILD | 66 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)
 create mode 100644 testing/nedit/APKBUILD

diff --git a/testing/nedit/APKBUILD b/testing/nedit/APKBUILD
new file mode 100644
index 0000000..83f71da
--- /dev/null
+++ b/testing/nedit/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer:
+pkgname=nedit
+pkgver=5.6
+cvsver=cvs20081118
+pkgrel=0
+pkgdesc="The Nirvana Editor, a multi-purpose X11 editor that's easy to use"
+url="http://www.nedit.org"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+# perl for docs, bison and flex are used but may be optional
+makedepends="$depends_dev motif-dev bison flex perl"
+install=""
+subpackages="$pkgname-doc"
+#source="http://downloads.sourceforge.net/nedit/nedit-source/$pkgver/nedit-$pkgver-src.tar.gz"
+source="http://ftp.de.debian.org/debian/pool/main/n/nedit/nedit_$pkgver~$cvsver.orig.tar.gz
+http://ftp.de.debian.org/debian/pool/main/n/nedit/nedit_$pkgver~$cvsver-9.debian.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver.orig"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	cat "$srcdir"/debian/patches/series | { while read i ; do
+		msg $i
+		patch -p1 -i "$srcdir"/debian/patches/$i || return 1
+	done; }
+	sed -e "s/CFLAGS=-O/CFLAGS=$CFLAGS -DBUILD_UNTESTED_NEDIT/g" -i makefiles/Makefile.linux
+}
+
+build() {
+	cd "$_builddir"
+	make linux || exit 1
+	make docs ||make -j1 docs || { env; exit 1; }
+}
+
+package() {
+	cd "$_builddir"
+	install -s -Dm 0755 source/nedit "$pkgdir"/usr/bin/nedit
+	install -s -Dm 0755 source/nc "$pkgdir"/usr/bin/nedit-nc
+}
+
+doc() {
+	cd "$_builddir"
+	install -Dm 0644 doc/nedit.man "$subpkgdir"/usr/share/man/man1/nedit.1
+	install -Dm 0644 doc/nc.man "$subpkgdir"/usr/share/man/man1/nedit-nc.1
+	mkdir -p "$subpkgdir"/usr/share/doc/nedit
+	for i in README COPYRIGHT ReleaseNotes \
+		doc/nedit.doc doc/nedit.html doc/faq.txt; do
+		install -Dm 0644 $i "$subpkgdir"/usr/share/doc/nedit || exit 1
+	done
+
+}
+
+md5sums="4d0ba8f4142d3f35ffec874470cf26dd  nedit_5.6~cvs20081118.orig.tar.gz
+902fb6059205964f333ce821726dbdac  nedit_5.6~cvs20081118-9.debian.tar.xz"
+sha256sums="cb90052aef7d5839b31e3b2c3374f156e4d1edb273cfbd037c4f9ab5de83cf6f  nedit_5.6~cvs20081118.orig.tar.gz
+0f2305f731b1ca1538753ed2e36a2c04d3977e3cc2b69635667f56e087792db4  nedit_5.6~cvs20081118-9.debian.tar.xz"
+sha512sums="f531364bfb24e06f8eb45d44a119be44fdeb0f64c1a25f74af07676c8b274fdd56076086a85c00761ba74b7acd7d54e0443233d1def2f89a2bcaf46a9b1ed598  nedit_5.6~cvs20081118.orig.tar.gz
+a3962162ef8bdd79e8bf94f15bb7f7037d8354b263888cf3961f35ac4be7219f94e11ad86472156b222d00bc547793c6267a4f609acf52dc6146d3b1a4d5755f  nedit_5.6~cvs20081118-9.debian.tar.xz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 23 Jun 2014 10:13:19 +0200

On Sun, 22 Jun 2014 22:27:42 +0000

>  create mode 100644 testing/nedit/APKBUILD

applied. thanks!

-nc

---